{
  "name": "backend",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "prebuild": "tslint -c tslint.json -p tsconfig.json --fix",
    "build": "tsc",
    "prestart": "npm run build",
    "watch": "tsc -w",
    "start": "node dist/src/index.js",
    "test": "mocha -r ts-node/register tests/**/*.test.ts",
    "testWithCoverage": "nyc -r lcov -e .ts -x \"*.test.ts\" mocha -r ts-node/register tests/**/*.test.ts && nyc report"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "dependencies": {
    "@types/bcrypt": "^3.0.0",
    "@types/cors": "^2.8.4",
    "@types/express-session": "^1.15.12",
    "@types/mongodb": "^3.1.22",
    "@types/npm": "^2.0.30",
    "@types/shortid": "0.0.29",
    "bcrypt": "3.0.4",
    "body-parser": "^1.18.3",
    "cors": "^2.8.5",
    "express": "^4.16.4",
    "express-session": "^1.15.6",
    "mongodb": "^3.2.2",
    "shortid": "^2.2.14",
    "start": "^5.1.0"
  },
  "devDependencies": {
    "@types/chai": "^4.1.7",
    "@types/express": "^4.16.1",
    "@types/mocha": "^5.2.6",
    "@types/node": "^11.9.4",
    "chai": "^4.2.0",
    "mocha": "^6.1.2",
    "nyc": "^13.3.0",
    "ts-node": "^8.0.3",
    "tslint": "^5.12.1",
    "typescript": "^3.4.3"
  }
}
